@import "../../../App.scss";  

.Hotel {
  &_info {
    display: flex;
    flex-direction: column;
    padding: 20px 15px;    
    border-bottom: 1px $light solid;
    border-right: 0;
    &-name {
      font-weight: 700;
      font-size: 1.5em;
      text-overflow: ellipsis;
      overflow: hidden; 
      width: 100%; 
      white-space: nowrap;
      margin-bottom: 5px;
    }
    &_address {
      color: $light;
      font-size: 0.9em;
      margin-bottom: 15px;
      &-distance {
        margin-left: 5px;
      }
    }
    &-mapView {
      display: none;
    }
    &_data {
      display: flex;
      flex-direction: row;
      align-items: center;
      margin-bottom: 15px;
      &-score {
        background-color: $green;
        color: $white;
        border-radius: 5px;
        font-weight: 600;
        font-size: 0.8rem;
        padding: 0.2em 0.4em ;
      }
      &-stars {
        color: $orange;
        font-size: 0.6rem;
        margin: 0 5px;
      }
      &-separator {
        margin: 0 5px;
      }
      &_amenities {                
        margin: 0 5px;
        &-items {
          margin: 0 2px;
        }
      }
    }    
    &-scoreTripAdvisor {
      display: flex;
      flex-direction: row;
      margin-bottom: 15px;
      &-logo {
        height: 1em;
      }
      &-score {
        color: $green;
      }
    }
    &_extras {
      &-items {
        border: 1px $light solid;
        color: $green;
        border-radius: 5px;
        padding: 0 5px;
        font-size: 0.9em;
        margin-right: 5px;
      }            
    }
  }
}

//large screens
@media only screen and (min-width: 577px) {
  .Hotel {
    &_info {
      border-right: 1px $light solid;
      border-bottom: 0;
      &-name {
        font-weight: 700;
        font-size: 1.5em;
        text-overflow: ellipsis;
        overflow: hidden; 
        width: 100%; 
        white-space: nowrap;
        margin-bottom: 5px;
      }
      &_address {
        color: $light;
        font-size: 0.9em;
        margin-bottom: 5px;
        &-distance {
          margin-left: 5px;
        }
      }
      &-mapView {
        display: block;
        margin-bottom: 15px;
      }
      &_data {
        display: flex;
        flex-direction: row;
        align-items: center;
        margin-bottom: 15px;
        &-score {
          background-color: $green;
          color: $white;
          border-radius: 5px;
          font-weight: 600;
          font-size: 0.8rem;
          padding: 0.2em 0.4em ;
        }
        &-stars {
          color: $orange;
          font-size: 0.6rem;
          margin: 0 5px;
        }
        &-separator {
          margin: 0 5px;
        }
        &_amenities {                
          margin: 0 5px;
          &-items {
            margin: 0 2px;
          }
        }
      }
        
      &-scoreTripAdvisor {
        display: flex;
        flex-direction: row;
        margin-bottom: 15px;
        &-logo {
          height: 1em;
        }
        &-score {
          color: $green;
        }
      }
      &_extras {
        &-items {
          border: 1px $light solid;
          color: $green;
          border-radius: 5px;
          padding: 0 5px;
          font-size: 0.9em;
          margin-right: 5px;
        }            
      }
    }
  }
}